gnutls_check_version(3)

NAME
gnutls_check_version - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    version string to compare with, or NULL.

DESCRIPTION
Check GnuTLS Library version. See GNUTLS_VERSION for a suitable req_version string.

RETURNS
Check that the version of the library is at minimum the one given as a string in req_version and return the actual version string of the library; return NULL if the condition is not met. If NULL is passed to this function no check is done and only the version string is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/